--=====================================
-- Author      : Txty
-- Create Date : 8/21/2020 12:27:36 AM
--=====================================
local ADDON_NAME, namespace = ...
-------------------------------------
local DEFAULT_SETTINGS = { 
	char = { SetPointx = 0, SetPointy = 0, point = "CENTER", relativePoint = "CENTER", lock = false,
	size = 1.0, color = "Grey", playerName = "", enabled = true, chatType = "none", target = nil, language = "YELL",
	columns = 1, rows = 6 }
}
-------------------------------------
DungeonHelper2 = LibStub("AceAddon-3.0"):NewAddon("DungeonHelper2", "AceConsole-3.0", "AceEvent-3.0");
-------------------------------------
function DungeonHelper2:OnInitialize()
-- Called when the addon is loaded
	DungeonHelper2:Print("Loaded")
	DungeonHelper2 = namespace.init(ADDON_NAME)
--	namespace.config = CreateFrame("Frame", "ConfigFrame", UIParent)
	namespace.config = CreateFrame("Frame", nil, UIParent)
	namespace.config.db = LibStub('AceDB-3.0'):New("DungeonHelper2DB", DEFAULT_SETTINGS)
end
-------------------------------------	
local function func(iid)
--	DEFAULT_CHAT_FRAME:AddMessage("|cff00ff96DungeonHelper2: |cff00ccffid " .. iid)
	if namespace.config.db.char.enabled and (iid ~= 0 or select(2,GetInstanceInfo()) == 'pvp') then
		DungeonHelper2:Show(true)
	else
		DungeonHelper2:Hide(true)
	end
return end
-------------------------------------
local function enableFrame()
	namespace.config.db.char.enabled = true
	DEFAULT_CHAT_FRAME:AddMessage("|cff00ff96DungeonHelper2: |cff00ccff" .. "Addon is enabled.")
end
-------------------------------------
-- Slash commands
SLASH_DHB1 = "/DHB" or "/dhb"
SlashCmdList["DHB"] = function (msg)
	if (msg=="show") then
		DungeonHelper2:Show(true)
		enableFrame()
	else
		DEFAULT_CHAT_FRAME:AddMessage("|cff00ff96DungeonHelper2: |cff00ccffOnly works with '/dhb show'.")
	end
end
-------------------------------------
function DungeonHelper2:OnEnable()
	-- self:Print("OnEnable Event Fired: Hello, again ;)")
	if namespace.config.db.char then
		local z = "UIParent"
		local p, r = namespace.config.db.char.point, namespace.config.db.char.relativePoint
		local x, y = namespace.config.db.char.setPointx, namespace.config.db.char.setPointy
		DungeonHelper2:SetPoint(p,z,r,x,y)
		DungeonHelper2:SetSize(namespace.config.db.char.columns * 40+18, namespace.config.db.char.rows * 40+18)
		DungeonHelper2:SetScale(namespace.config.db.char.size)
		namespace.config.db.char.playerName = GetUnitName('player', true)
		namespace.classColor(namespace.config.db.char.color)
		namespace.SetChatType(namespace.config.db.char.chatType, namespace.config.db.char.target)
		if namespace.config.db.char.lock then
			namespace.myLock(DungeonHelper2)
		else
			namespace.myUnLock(DungeonHelper2)
		end
	end
	enableFrame()
	DungeonHelper2:Hide(true)
	self:RegisterEvent("ZONE_CHANGED_NEW_AREA")
	func(select(3,GetInstanceInfo()))
--	DEFAULT_CHAT_FRAME:AddMessage("|cff00ff96DungeonHelper2: |cff00ccff" .. namespace.config.db.char.playerName)
end
-------------------------------------
function DungeonHelper2:OnDisable()
		-- Called when the addon is disabled
end
-------------------------------------
function DungeonHelper2:ZONE_CHANGED_NEW_AREA()
	func(select(3,GetInstanceInfo()))
end
-- END ------------------------------